ThdFilm:
  tableName: thd_film
  columns:
    id:
      type: integer(4)
      primary: true
    ref:
      type: integer(4)
      notnull: true
    title:
      type: string(255)
      notnull: true
    pitch:
      type: string(2147483647)
      notnull: true
    duration:
      type: integer(4)
      notnull: true
    directors:
      type: string(2147483647)
      notnull: true
    actors:
      type: string(2147483647)
      notnull: true
    slug_url:
      type: string(255)
      notnull: true
    original_title: string(255)
    production_year: integer(8)
ThdImage:
  tableName: thd_image
  columns:
    id:
      type: integer(4)
      primary: true
      autoincrement: true
    film_ref:
      type: integer(4)
      notnull: true
    type:
      type: integer(1)
      notnull: true
    file:
      type: string(255)
      notnull: true
  relations:
    ThdFilm:
      foreignAlias: images
      local: film_ref
      foreign: ref
      type: one
      foreignType: many
ThdSegment:
  tableName: thd_segment
  columns:
    id:
      type: integer(4)
      primary: true
      autoincrement: true
    title:
      type: string(255)
      notnull: true
    video_ref:
      type: integer(4)
      notnull: true
    start:
      type: float(2147483647)
      notnull: true
    end:
      type: float(2147483647)
      notnull: true
    user_id:
      type: integer(4)
      notnull: true
    creation_date:
      type: timestamp(25)
      notnull: true
  relations:
    ThdVideo:
      foreignAlias: segments
      local: video_ref
      foreign: ref
      type: one
      foreignType: many
ThdVideo:
  tableName: thd_video
  columns:
    id:
      type: integer(4)
      primary: true
      autoincrement: true
    ref:
      type: integer(4)
      notnull: true
    film_ref:
      type: integer(4)
      notnull: true
    file:
      type: string(255)
      notnull: true
    title: string(255)
  relations:
    ThdFilm:
      foreignAlias: videos
      local: film_ref
      foreign: ref
      type: one
      foreignType: many